Bug 1356 - [UPDATE REQUEST] spec-helper and rpm
: [UPDATE REQUEST] spec-helper and rpm
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 15:37 MSK by Denis Silakov
Modified: 2013-01-17 14:34 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2012-12-27 15:37:39 MSK
This is a request to update spec-helper to the recent version which introduces a script to add trailing semicolons in necessary places of *.desktop files.

The new version also switches to usage of brp-compress script from rpm to compress man pages, so a slight update of rpm is also required.
Comment 1 Denis Silakov 2012-12-27 15:47:25 MSK
Advisory:

Updated spec-helper to to 0.31.31, updated brp-compress script in rpm.

Build lists:
https://abf.rosalinux.ru/build_lists/870651
https://abf.rosalinux.ru/build_lists/870652
https://abf.rosalinux.ru/build_lists/870653
https://abf.rosalinux.ru/build_lists/870654

These updates should not have any effect for normal users (only for developers), but it's better to test them.
Comment 2 Denis Silakov 2012-12-27 15:53:54 MSK
Hm, wait a little, I'll add one more fix to spec-helper...
Comment 3 Denis Silakov 2012-12-27 16:00:15 MSK
Ah, ok, all necessary patches are already applied. So here it is:

Advisory:

Updated spec-helper to to 0.31.31, updated brp-compress script in rpm.

Build lists:
https://abf.rosalinux.ru/build_lists/870651
https://abf.rosalinux.ru/build_lists/870652
https://abf.rosalinux.ru/build_lists/870653
https://abf.rosalinux.ru/build_lists/870654

These updates should not have any effect for normal users (only for developers), but it's better to test them.
Comment 4 Alexander Petryakov 2013-01-12 20:34:08 MSK
How i can check this package?
Comment 5 Denis Silakov 2013-01-12 23:05:43 MSK
You should try to build a package whose sources contains desktop file that contains 'Actions' or 'MiemType' strings without trailing semicolons. In the resulting package, such semicolons should appear.

As an example, you can take https://abf.rosalinux.ru/import/audiokonverter (just compare audioconvert4.desktop which is included in the sources and the same file which will be included in the package).
Comment 6 Vladimir Potapov 2013-01-17 14:28:52 MSK
rpm-5.4.10-7-rosa2012.1
spec-helper-0.31.21-1-rosa2012.1
***************** Advisory **********************
Updated spec-helper to to 0.31.31, updated brp-compress script in rpm.
*************************************************
QA Verified